# For Haskell Packaging Guidelines see:
# - https://fedoraproject.org/wiki/Packaging:Haskell
# - https://fedoraproject.org/wiki/PackagingDrafts/Haskell

%global pkg_name unix-compat

# common part of summary for all the subpackages
%global common_summary A portable POSIX-compatibility layer

# main description used for all the subpackages
%global common_description This package provides portable implementations of parts \
 of the unix package. This package re-exports the unix \
 package when available. When it isn't available, \
 portable implementations are used.


Name:           ghc-%{pkg_name}
Version:        0.2.1.3
Release:        2%{?dist}
Summary:        %{common_summary}

Group:          System Environment/Libraries
License:        BSD
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
ExclusiveArch:  %{ghc_arches}
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
%if %{undefined without_hscolour}
BuildRequires:  hscolour
%endif
BuildRequires:  ghc-unix-prof, ghc-directory-prof

%description
%{common_description}


%package -n ghc-%{pkg_name}-devel
Summary:        Development files for %{common_summary}
Group:          Development/Libraries
# BEGIN cabal2spec
%{?ghc_devel_requires}
Obsoletes:      ghc-%{pkg_name}-prof < %{version}-%{release}
Provides:       ghc-%{pkg_name}-prof = %{version}-%{release}
# END cabal2spec
# remember to require any C devel dependency here
# Haskell devel dependencies are autogenerated by ghc-deps.sh

%description -n ghc-%{pkg_name}-devel
%{common_description}

This package contains the development files.


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


%post -n ghc-%{pkg_name}-devel
%ghc_pkg_recache


%postun -n ghc-%{pkg_name}-devel
%ghc_pkg_recache


%if %{undefined ghc_without_shared}
%files -n ghc-%{pkg_name} -f ghc-%{pkg_name}.files
%endif


%files -n ghc-%{pkg_name}-devel -f ghc-%{pkg_name}-devel.files


%changelog
* Mon Sep 26 2011 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 0.2.1.3-2
- Rebuild

* Sat Sep 10 2011 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 0.2.1.3-1
- License is BSD. Added dependencies.

* Sat Sep 10 2011 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 0.2.1.3-0
- initial packaging for Fedora automatically generated by cabal2spec-0.24.1
